from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFilter(XInterface, Protocol):
    def filter(self, aDescriptor: PropertyValue >) -> bool: ...
    def cancel(self) -> None: ...
